Subject: Re: [Bitcoin-development] 32 vs 64-bit timestamp fields

From: Mike Hearn <[email-masked]>
Date: Thu, 9 May 2013 17:40:51 +0200

2038 issues only apply to use of signed timestamps, I thought we treat
this field as unsigned? Is it really a big deal?

On Thu, May 9, 2013 at 1:12 PM, Pieter Wuille <[email-masked]> wrote:
> On Wed, May 08, 2013 at 10:42:44PM -0400, Peter Todd wrote:
>> Ah, shoot, I just realized we both got missed Pieter's point entirely:
>> he means to change the meaning of the header timestamp to be relative
>> time passed since the last block...
>
> No, though that's also a possibility, but a backward-incompatible one.
>
> What I mean is have a well-defined 64-bit timestamp for each block, but
> only put the lowest 32 bit in the header. Under the condition:
>
> * There is never a gap of more than 136 years between two blocks.
>
> The actual 64-bit timestamp can be deterministically derived from the
> header, by prefixing it with the lowest 32-bit value that does not
> cause the result to violate the
> at-least-above-the-median-of-the-previous-11-blocks rule.
>
> --
> Pieter
>
> ------------------------------------------------------------------------------
> Learn Graph Databases - Download FREE O'Reilly Book
> "Graph Databases" is the definitive new guide to graph databases and
> their applications. This 200-page book is written by three acclaimed
> leaders in the field. The early access version is available now.
> Download your free book today! http://p.sf.net/sfu/neotech_d2d_may
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development